<html>
    <head>
        <title>JS Processing</title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
        <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.20/css/jquery.dataTables.css">
    </head>
    <body>
        <div class="container">
            <h1>Data Table</h1>
            <div class="row">
                <div class="col-md-9">
                    <table id="dataTable" class="table table-responsive">
                        <thead>
                            <th>#</th>
                            <th>Name</th>
                            <th>Attribution</th>
                            <th>date 1</th>
                            <th>date 2</th>
                            <th>row</th>
                            <th>Actions</th>
                        </thead>
                        <tbody id="tableContent">

                        </tbody>
                    </table>
                </div>
                <div class="col-md-3">
                    <form id="inputForm">
                        <div class="form-group">
                            <label for="nameInput">Name</label>
                            <input type="text" class="form-control" id="nameInput" placeholder="Name" required>
                        </div>
                        <div class="form-group">
                            <label for="attInput">Attribution</label>
                            <input type="text" class="form-control" id="attInput" placeholder="Attribution" required>
                        </div>
                        <div class="form-group">
                            <label for="d1Input">date 1</label>
                            <input type="text" class="form-control" id="d1Input" placeholder="Data 1" required>
                        </div>
                        <div class="form-group">
                            <label for="d2Input">date 2</label>
                            <input type="text" class="form-control" id="d2Input" placeholder="Data 2" required>
                        </div>
                        <div class="form-group">
                            <label for="rowInput">row</label>
                            <input type="text" class="form-control" id="rowInput" placeholder="Row" required>
                        </div>
                        <input type="hidden" id="actionInput" value="add">
                        <input type="hidden" id="idInput" value="">
                        <button type="submit" id="submitBtn" class="btn btn-primary">Submit</button>
                    </form>
                </div>
            </div>
        </div>
    </body>
    <script
            src="https://code.jquery.com/jquery-3.4.1.min.js"
            integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo="
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
    <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.js"></script>
    <script src="main.js"></script>
</html>